Ubuntu

New windows are moved to front but don't take focus

Reported by androith on 2011-05-12
480
This bug affects 105 people
Affects Status Importance Assigned to Milestone
Compiz
Medium
Andrea Azzarone
0.9.8
Undecided
Unassigned
Compiz Core
Medium
Unassigned
GTK+
Invalid
Undecided
Unassigned
Nautilus
Fix Released
Medium
Unity
High
Unassigned
Unity Distro Priority
Medium
Unassigned
unity-2d
Undecided
Unassigned
compiz (Ubuntu)
Medium
Andrea Azzarone
Precise
Medium
Unassigned
nautilus (Ubuntu)
Low
Unassigned
Precise
Low
Andrea Azzarone
unity-2d (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

Impact:
sometime new dialog doesn't get the focus

Test Case for the nautilus SRU:
- open gedit, click in the text entry
- click on nautilus on the launcher
- check if the nautilus dialog got the focus or not

Regression potential:
nautilus could steal focus when it should not

androith (androith) wrote :
Bosma (thomasbosma) wrote :

This happened to me too. Clicking on the menu bar to raise focus to the application it belongs to and manually switching to the other application is the only way to get the menu bar to update.

Changed in unity (Ubuntu):
status: New → Confirmed
Didier Roche (didrocks) on 2011-07-29
Changed in unity:
status: New → Confirmed
Christoph Buchner (bilderbuchi) wrote :

Can we bump the importance of this bug? Several times already, I inadvertantly closed the wrong program because of this. E.g., for firefox, only the "restore session" function saved me from losing all my open tabs.

Christoph Buchner (bilderbuchi) wrote :

Is there any movement on this? This bug can cause loss of work by inadvertant closing of applications!

Omer Akram (om26er) wrote :

If there are steps to reproduce the issue those will be really helpful to fix the issue.

Changed in unity:
status: Confirmed → Incomplete
Changed in unity (Ubuntu):
status: Confirmed → Incomplete
Christoph Buchner (bilderbuchi) wrote :

I don't know what you mean - steps to reproduce are in the bug description (first three lines) and have been there since the beginning.

androith (androith) wrote :

The steps that I took to produce the bug are indeed in the original report above. Unfortunately, I cannot contribute further because I don't use Unity (it was too buggy).

Christoph Buchner (bilderbuchi) wrote :

Fwiw, I just reproduced it according to the description, and it's still there. So is it OK to set back to confirmed Omer?

Omer Akram (om26er) wrote :

oh, I reported a similar bug a few days ago, marked that duplicate and gave the status to this bug. thanks.

Changed in unity:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
importance: Undecided → Medium
status: Incomplete → Triaged
Changed in unity (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
description: updated

Thank you.
Because it was mentioned in one of the dupes by Marco Trevisan, this does not only affect Nautilus, but other apps, too. I can reproduce this with Firefox open and active, when I start Qalculate (starts non-maximized), the menu is still Firefox's until I click into Qalculate. The same with gedit, which starts maximized.

androith (androith) wrote :

Yes this affects many apps for me.

Thanks for your work. Hopefully Unity is rid of these little things by April!

Didier Roche (didrocks) on 2012-02-16
Changed in unity:
milestone: none → 5.6.0
Changed in unity-distro-priority:
status: New → Fix Committed
importance: Undecided → Medium

Actually I can't reproduce it, sorry.

Are you still getting this on Precise?

Tim Penhey (thumper) on 2012-02-20
tags: added: distro-priority
Omer Akram (om26er) wrote :

Marco, try harder :)

psypher (psypher246) wrote :

I am stuill getting this issue on updated precise but only with nautilus. opening nautilus as maximised and trying to close it using global menu while another maximised app below it is persent, causes the app below to close instead. I updated more tests here:
https://bugs.launchpad.net/unity/+bug/883573

@Omer, All: I always got it only with nautilus.

The problem is that, bamf and unity actually depends on the WnckScreen's "active-window-changed" signal (http://is.gd/mq8DuH), that it's not emitted when nautilus is opened.

I've noticed that this doesn't happen if before launching the nautilus home you kill (restart) bamfdaemon... Can you confirm this?

Tino (t-no) wrote :

I have this problem only with Nautilus.
Killing bamfdaemon (and letting it restart) before clicking Nautilus starter helps.

Ok, I'm wondering that this could be due to the fact that libwnck doesn't work well with us since when bamfdaemon is ran, nautilus has already been launched in the form of the desktop window... This shouldn't be a problem, actually (as they're two different windows), but maybe it's related to it.

Didier Roche (didrocks) on 2012-03-12
Changed in unity:
milestone: 5.6.0 → 5.8.0
Xavier Guillot (valeryan-24) wrote :

Could it be related to those bugs :

https://bugs.launchpad.net/ubuntu/+source/unity/+bug/864233
https://bugs.launchpad.net/ubuntu/+source/unity/+bug/796513

I confirm it with Nautilus also.

Sometimes when I start Nautilus from Unity launcher icon, window opens, maximized, but Nautilus don't take the focus, it stays on previous application focused, and the left triancle on launcher remains blue. Of course global menu is the one of previous app.

But it is random : sometimes Nautilus takes the focus on start, sometimes not...

Didier Roche (didrocks) on 2012-03-23
Changed in unity:
milestone: 5.8.0 → 5.10.0
Craig Weber (weberc2) wrote :

This seems to be a security issue. Data can get lost when someone attempts to close the unfocused top window, but closes the focused back window by mistake.

summary: - New windows steal focus but don't update the menu bar on top
+ New windows are moved to front but don't take focus
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/781931

tags: added: iso-testing
zzarko (zzarko-gmail) wrote :

I'm just testing Unity from PPA, and I found this:
1. If I focus an application by clicking on it's titlebar, and then I start Nautilus from the launcher, Nautilus gets the focus
2. If I focus an application by clicking inside it's window, and then I start Nautilus from the launcher, Nautilus doesn't get the focus

zzarko (zzarko-gmail) wrote :

The same things happens if the Nautilus is started from Alt+F2, or when a path is enetered after Alt+F2.

Didier Roche (didrocks) on 2012-04-12
Changed in unity:
milestone: 5.10.0 → 5.12.0

Pushed back again. :-(
Is there a (planned) ETA for unity 5.12.0?

Changed in unity:
assignee: Marco Trevisan (Treviño) (3v1n0) → Andrea Azzarone (andyrock)
Changed in unity (Ubuntu):
assignee: Marco Trevisan (Treviño) (3v1n0) → Andrea Azzarone (andyrock)
Changed in unity:
status: Triaged → In Progress
Changed in unity (Ubuntu):
status: Triaged → In Progress
Changed in compiz-core:
status: New → Invalid
affects: compiz-core → gtk
Changed in gtk:
assignee: nobody → Andrea Azzarone (andyrock)
Changed in compiz-core:
status: New → Confirmed
Changed in compiz (Ubuntu):
status: New → Confirmed
Changed in compiz-core:
importance: Undecided → Medium
Changed in compiz (Ubuntu):
importance: Undecided → Medium
Xavier Guillot (valeryan-24) wrote :

Problem is corrected in many cases for me (Gpodder, Synaptic, Updates manager), but there is still a situation which doesn't work : when I am on another program than Thunderbird and when an alarm of Lightning shows upThunderbird and the small window of event appear in front of the screen, but at this time focus is still on the last application used, so I can not swith to it again by clicking on its launcher icon.

If I click on a button of the alarm window, now it's OK, Thunderbird stays in front of screen but focus goes well to him...

Changed in unity (Ubuntu):
importance: Medium → High
Changed in unity:
importance: Medium → High
Xavier Guillot (valeryan-24) wrote :

With Simple Scan same problem as with Nautilus before : when started, comes to front of screen but does not take focus.

I'd say the Update Manager is the most obvious example of this, happens every time. It pops up when starting an upgrade on top of all other windows but doesn't have focus. It doesn't help to click on one of the windows behind it to bring that one to front, Update Manager still lies on top without focus. To get rid of it you first have to click on it to give it focus and then on one of the other windows to bring Update Manager to back again.

Andrea Azzarone (andyrock) wrote :

I've just opened a new bug on bugzilla: https://bugzilla.gnome.org/show_bug.cgi?id=674816

palimmo (palimmo) wrote :

Same problem.
So far, i've noticed it only with Home folder.

When I open Home folder from the Launcher, Nautilus opens and it is completely maximized.
But the panel reports commands of the previous application I was using, for example Firefox.
The triangle at the left of the Home Folder is blue, instead of white.

If I choose one of the voice of the panel, it is one of the Firefox voices. For example, if I try to close the window clicking on X, it asks me to close the Firefox window instead of the Nautilus one.
If I click somewhere in the nautilus window, the panel changes and reports correctly the Nautilus commands.

If I'm working on a Firefox maximized window and then I click on the launcher-> Home folder, I can reproduce this bug always.
And unfortunately this happens really often...

Didier Roche (didrocks) on 2012-04-27
Changed in unity:
milestone: 5.12.0 → 5.14.0
Abdelaziz Yakout (yooozy) wrote :

same situation here
whenever I open Nautilus I still got the previous application's menubar

Was hoping this issue would be fixed in 12.04, but it's still there. Oddly enough, it only affects non-wine programs. Super+1 to open the home directory in any native linux program keep focus on the bottom window, not the newly opened one. Same command when already focused in a wine program works normally.

This issue keeps tripping me up as I frequent open terminals/folders via keyboard and have to stop and mouse-click to regain focus.

psypher (psypher246) wrote :

Id like to suggest a solution.

I find that since Unity and global menus I tend to do a lot of clicking on the app somewhere to gain focus then activate the correct global menu. I seem to be clicking a lot more than before. Also when you close an app the next app below does not have focus either. Click on it again and now you have focus. Why not auto focus to the below app?

Could we instead have an option to have windows follow mouse focus? It solves a few problems:

Nautilus opens and has focus under your mouse
closed apps immediately give background apps focus
any app you move your mouse to activates the desired global menu and hud

It's already intuitive as I often have a terminal window in the foreground with scrollable text in a window below. But just mouse over the background app and scroll wheel scrolls the text. I also use the mouse focus option in terminator, wherever the mouse is is where the focus is.

Thoughts?

Colin Law (colin-law) wrote :

Could this be related to bug #889044 with Unity-2d? Nautilus opening behind current window.

Changed in compiz:
importance: Undecided → Medium
status: New → Confirmed
palimmo (palimmo) wrote :

Some steps forward? I consider this bug really annoying...

DeBa (d-baurichter) wrote :

This bug affects (and annoys) me too. Also if I open Nautilus and then try to focus it with Alt+Tab, its at the end of the list, so I have to press Tab about 3 times.

When I read https://bugs.launchpad.net/unity/+bug/864233/comments/4 I tried changing that property:
CompizConfig Settings Manager -> General Options -> Focus & Raise Behavior -> Focus Prevention Level -> "Off" to "Very High" (default: "Low")

- "Off": Nautilus gets focus
- "Low" to "Very High": Nautilus doesn't get focus

Sometimes also with "Low" Nautilus gets focus, when I click the title bar of another window right before.

I assume using "Off" wouldn't be very good, too. It would fix the problem with Nautilus (and maybe other applications), but if for example the update-manager pops up it would probably steal focus from the application I'm working with.

Maybe the code behind this (especially for the "Low" preference) should be corrected. If somebody already looked at this: Thank you and never mind.

Doug McMahon (mc3man) wrote :

Having a bug specific to 12.04 just duped to this bug, I'll say that andyrock's fix works just fine here on 12.04 to fix the issue

DeBa (d-baurichter) wrote :

Doug McMahon (mc3man):
> I'll say that andyrock's fix works just fine here on 12.04 to fix the issue
Sorry, I overlooked that branch.
Thank you, andyrock!

Chiel ten Brinke (ctje92) wrote :

@psypher (psypher246)
Your suggestion will have other annoyances and won't work for those who prefer to navigate through the keyboard.
The focus of an opening (by a user action) application just must get focus.

Changed in compiz:
milestone: none → 0.9.8.0
Ridgeland (rambutan1) wrote :

Bug affects me in Gnome Classic (No Effects)

Ridgeland (rambutan1) wrote :

Should mention Ubuntu 12.04 - 64 bit - all updates I've seen.

Doug McMahon (mc3man) wrote :

Interesting that GTK+ has been marked invalid & compiz added.
One should note that this behavior occurs in unity, unity-2d, classic - both versions & gnome-shell

I've used the small GTK+ patch here & cannot get this to occur anymore in any of the 5 sessions, tested in both 12.04 & 12.10

Changed in unity:
status: In Progress → Confirmed
Changed in unity (Ubuntu):
status: In Progress → Confirmed
Changed in gtk:
assignee: Andrea Azzarone (andyrock) → nobody
Changed in unity (Ubuntu Precise):
status: In Progress → Confirmed
Changed in unity:
assignee: Andrea Azzarone (andyrock) → nobody
Changed in unity (Ubuntu):
assignee: Andrea Azzarone (andyrock) → nobody
Changed in unity (Ubuntu Precise):
assignee: Andrea Azzarone (andyrock) → nobody
Pablo Piaggio (papibe) wrote :

I also seeing this problem. Nautilus is the one that always behaves this way.

This happens launching Nautilus:

    1. Using the mouse on the launcher.
    2. Using the Unity shorcut (super+1)
    3. Using the dashboard to lauch any folder (Home, Pictures, etc).

Regards.

More info:

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04 LTS
Release: 12.04
Codename: precise

$ uname -a
Linux vanhalen 3.2.0-24-generic #39-Ubuntu SMP Mon May 21 16:52:17 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Hi guys !

This problem isn't because of Adobe. Recently, Compiz has been re-written in the C++ language, so compiz became it instable, our problem is because of Compiz.
Notice : Compiz and Flash Player work well on my OpenSuse distro and Debian 6

Oops ! It's not this bug ! x)
It's been solved two weaks ago, and yesterday, i openned RecordMyDesktop to record ... my desktop and this bug came again !

Changed in nautilus:
importance: Unknown → Medium
status: Unknown → New
Doug McMahon (mc3man) wrote :

The changelog for nautilus in *12.10*, mentions a fix for this
"nautilus (1:3.5.2-0ubuntu3) quantal; urgency=low
...............
* debian/patches/21_correct_timestamp_use_fix_focus_issue.patch:
    - "Use the correct timestamp when creating a new nautilus window.",
       that should fix nautilus dialog opening unfocussed,
       thanks Andrea Azzarone (lp: #781931)"

While it is an improvement it Does Not resolve 100%, there are instances, (repeatable), where this still occurs.
While there has been no comment to why the orig gtk fix was inappropiate, it continues to work in12.04 100%

Doug McMahon (mc3man) on 2012-06-22
tags: added: quantal
Andrea Azzarone (andyrock) wrote :

@Doug Can you post here the steps to reproduce the bug on quantal?

On 06/22/2012 03:40 PM, Andrea Azzarone wrote:
> @Doug Can you post here the steps to reproduce the bug on quantal?
>
This is one way that's fairly consistent here, though i wouldn't say 100% .

Fresh login to Unity
You could try this on WS 1 though maybe better to go ahead & switch to
another WS

Open gnome-terminal first, it should open in upper left corner
Then open a nautilus window from the Home Folder quicklist, either a
Default or custom added Bookmark like Documents, Pictures, ect

At least here nautilus fairly consistently opens on top without focus.
If there is no issue then close out both, & try again. Or move to
another WS & try again, maybe with different Bookmark

(I think I may boot to todays image > live session & see how that goes,
this install is about 2 weeks old

On very rare occasions I also get similar from FF's download window >
open containing folder but it's rare , not repeatable at will, & a
couple of 'out of the blue' that don't involve nautilus at all, again
very rare

Doug McMahon (mc3man) wrote :

From todays image, live session, updated
Opened a terminal, then Unity 'Home Folder' icon > quicklist > Music

Danillo (danillo) wrote :

Doing what Dennis said in comment #34 seems to do the trick for me.

Sergio Benjamim (sergio-br2) wrote :

This bug affect me too. I'm using Ubuntu 12.04. When I open Nautilus after i opened Terminal, it doesn't get focus, and I can't type a word to find some folder or file (I need to click on the open nautilus to get focus).

zzarko (zzarko-gmail) wrote :

One more test case, happens every time I connect my USB HD: Nautilus window pops on top of other windows, but it isn't in focus.

Here's another case, which I thought was a bug in Google Chrome but I think is a consequence of this one.

Sometimes malicious websites open a maximized popup with ads or something (which for some reason Google Chrome fails to block). Then the popup is on front and maximized, but it doesn't have focus. The result is that when you click on the X to close the window, you are actually closing the window behind it which is the original one!!!!

Actually being on front and having focus should be the very same thing at the deepest level exposed to applications. The concepts of "giving focus to a window" and "bringing a window to front" should not even exist as separate things.

palimmo (palimmo) wrote :

This bug is really annoying. And the trick at #34 it is useful only when you decide to open new windows (e.g. Nautilus).
Pop-up windows (in browser softwares; Update Manager, etc.) are really problematic!

Is this problem still present even with the recent updates ? (this is THE bug that makes me staying on Lucid ...)

rinaldomerlo (rinaldomerlo) wrote :

I'm on 12.04 wth all latest updates (including proposed) and I still have the bug.

That bug exists since the last year, I think it will be corrected ... in 2013 or in 2014 ! :D
No seriously, if a developper read this, this bug is really, really annoying ...

Omer Akram (om26er) wrote :

That won't fix in unity-2d only critical issues are now considered for it.

Changed in unity-2d:
status: New → Invalid
Changed in unity-2d (Ubuntu):
status: New → Won't Fix
Changed in unity-2d (Ubuntu Precise):
status: New → Won't Fix

This _is_ critical

Gerry Boland (gerboland) wrote :

Hi,
yes I agree this bug is very annoying (I use Unity2D myself every day) and I do wish we had it fixed by now, but having spent time investigating it, the cause is not trivial (or else kick-myself obvious).

As Unity2D is being superseded by Unity for all users in Quantal, we are not committing any developer resources to Unity2D except in the cases of critical bugs (crashers, security holes..) for the Precise LTS. This unfortunately means that important usability bugs like this will not be attempted by us any more.

So this is where I must ask for community involvement. If you care for this project and want to improve it for all other users, take a bug and try to fix it. Community fixes will be accepted with real pleasure, and we'll do our best to offer help and advice on #ubuntu-unity IRC channel.

Thanks
-G

Gerry Boland (gerboland), this is not only Unity2D problem. This bug affects Unity also. I think it must be fix at least for Unity.

Tino (t-no) wrote :

I'm using Unity 3D and get confronted with this bug on a daily basis when starting a nautilus window. I also second that it is pretty annoying.
In my opinion it is really important to fix this bug - especially for a LTS - to ensure a consistant and professional user experience in Unity. Imho these are just the things that make people want to switch to E.g. Xubuntu.

palimmo (palimmo) wrote :

Could someone explain why it is so difficult to fix this critical bug and it is assigned to nobody?
(this is a simple question, not polemical)

Hi palimmo !

If the bug takes a long times to be fixed, it's only because there's about 70bugs to fix for Unity 5.14. This bug is attached to Unity 5.14, then it will be corrected in a few weeks. But, if the bug is fixed today or tomorrow, it will be not release before all the bugs attached to Unity 5.14 are fixed. When all these bugs will be fixed, Unity 5.14 will be released and the fix will come.
If it takes time, it's not because it is hard to correct it, it's because there's lots of bug to fix.

palimmo (palimmo) wrote :

Thanks Guillame.
I hope you're right. I've already seen 5.6.0 → 5.8.0 → 5.10.0 → 5.12.0 and then 5.12.0 → 5.14.0.
I hope not to see 5.14.0 → 5.16.0.

Good work!

Doug McMahon (mc3man) wrote :

As far as unity-2d & this issue. In a bit of irony this no longer happens here in 12.10, windows open with focus quite well.
(the rejected gtk fix for 12.04 did fix unity-2d in 12.04

Colin Law (colin-law) wrote :

Also for me using 2d with 12.04 this was fixed some time ago, so not sure why it is marked as won't fix. There is the worse issue on 2d that the windows are not even moved to the front (bug #889044) but I see that is marked as critical so hopefully it will be fixed.

Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 333366, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

@vanvugt: Are you sure this is a duplicate of #333366? I disagree, because it affects not only nautilus, but #333366 is restricted to nautilus (see also https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/333366/comments/46 there)

Daniel van Vugt (vanvugt) wrote :

Christoph, both this bug and its duplicate only mention nautilus in their Bug Descriptions and test cases. So I think it is appropriate that this is a duplicate of bug 333366.

I have responded to palimmo's comment in bug 333366.

Well, the original description mentions Nautilus only as one possibility "(say Nautilus)". Additionally, comments #10, #11, #25, #26, #42, #51 mention other apps than Nautilus. So I still disagree about the dupe status.
However, I'll let this rest for now until I can show reliable repro for apps other than Nautilus, maybe it's already fixed for those anyway. I'm currently mostly forced to use unity-2d due to a bad bug in unity.

Yes, I agree, everybody mentionned Nautilus and the terminal as an exemple perhaps because they are use eveytime but that does not affect only Nautilus, the first time I saw that bug was with Chromium, that's not Nautilus !

Daniel van Vugt (vanvugt) wrote :

OK, this is no longer a duplicate. However generalizing it to many window types means we're unlikely to ever resolve the bug.

Daniel van Vugt (vanvugt) wrote :

All - The nautilus case of this bug is being handled in bug 333366.

For other window types, please try to find simple and clear test cases and add them to the bug description.

no longer affects: unity (Ubuntu)
no longer affects: unity (Ubuntu Precise)
Changed in unity:
status: Confirmed → Invalid
milestone: 5.14.0 → none
description: updated
Colin Law (colin-law) wrote :

The same effect is seen when opening tomboy over terminal. I have opened bug #1025166.

description: updated
Changed in nautilus (Ubuntu):
importance: Undecided → Low
status: New → Fix Released
Changed in nautilus (Ubuntu Precise):
importance: Undecided → Low
status: New → In Progress
Sebastien Bacher (seb128) wrote :

Ok, that's still not a fix for all issue but the nautilus patch is an improvement so let's try to get that in a SRU, assigning to Andrea who accepted to have a look to backport that change

Changed in nautilus (Ubuntu Precise):
assignee: nobody → Andrea Azzarone (andyrock)
description: updated
Changed in nautilus:
status: New → Confirmed

Hello androith, or anyone else affected,

Accepted nautilus into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nautilus/1:3.4.2-0ubuntu4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nautilus (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed

Thanks Clint

This did it for me, after update + restart, I don't encounter this bug with Nautilus on 12.04 any more.

Tag has been changed to "verification-done".

Cheers!

tags: added: verification-done
removed: verification-needed
zzarko (zzarko-gmail) wrote :

I have this issue with windows not taking focus after being moved to front with Synaptic (when I click to apply, and after the downloading phase, when applying changes starts, Synaptic window comes to front but doesn't take focus) and uget (I'm using flashgot firefox extension, and when I select some link to download, uget window comes to front but doesn't take focus). There are more programs, but these I can remember right now. I'll test nautilus patch during weekend.

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.4.2-0ubuntu4

---------------
nautilus (1:3.4.2-0ubuntu4) precise-proposed; urgency=low

  * debian/patches/21_correct_timestamp_use_fix_focus_issue.patch:
    - "Use the correct timestamp when creating a new nautilus window.",
       that should fix nautilus dialog opening unfocussed,
       thanks Andrea Azzarone (lp: #781931)
 -- Sebastien Bacher <email address hidden> Thu, 19 Jul 2012 12:13:19 +0200

Changed in nautilus (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in compiz:
milestone: 0.9.8.0 → 0.9.8.1
Changed in compiz:
milestone: 0.9.8.2 → 0.9.8.4
Changed in compiz:
milestone: 0.9.8.4 → 0.9.9.0
PeterBocz (boczpeter) wrote :

This bug still exists in latest stable precise and more irritatingly with almost any application.
For instance, I try to login to a web page in Firefox. I don't remember the password, so I start Keepass from Dash. I type my password in Keepass, hit Enter (or at least I think I do) and guess what, I realize I typed in Firefox and submitted the login form with Enter. I could not beleive my eyes. The password field within Keepass windows was even showed as focused with an orange border and a blinking cursor. Only the window was not in focus.
I could mention any other pairs of applications, I can reproduce the problem. Application #1 is running, starting Application #2 from Dash pops up Application #2, but still Application #1 is in focus.

Changed in nautilus:
status: Confirmed → Fix Released
Changed in compiz:
assignee: nobody → Andrea Azzarone (andyrock)
status: Confirmed → In Progress
Changed in compiz (Ubuntu):
assignee: nobody → Andrea Azzarone (andyrock)
status: Confirmed → In Progress
Changed in compiz:
status: In Progress → Fix Committed
Changed in compiz (Ubuntu):
status: In Progress → Fix Committed
thinkpad (fellowsgarden) wrote :

alt-tab still often seems to focus into nirvana...

Launchpad Janitor (janitor) wrote :
Download full text (5.6 KiB)

This bug was fixed in the package compiz - 1:0.9.9~daily12.12.05-0ubuntu1

---------------
compiz (1:0.9.9~daily12.12.05-0ubuntu1) raring; urgency=low

  [ Michael Terry ]
  * debian/control:
    - Update Vcs-Bzr
  * debian/patches/100_expo_layout.patch:
    - Fix to apply
  * Automatic snapshot from revision 3451 (bootstrap)
    - Fix crash from writing to static memory (LP: #1065814)
    - Fix maximized windows changing workspaces (LP: #1071791)
    - Respect Zoom Factor setting (LP: #1066187)
    - Respect Show Window Title setting (LP: #1009999)
    - Restore text background transparency (LP: #1042132)
    - Restore screenshot selection rectangle transparency (LP: #1047788)
    - Restore top and bottom cube transparency (LP: #1048272)
    - Fix scaleaddon window highlighting being solid (LP #1068503)
    - Make resize hint overlay disappear when changing edges (LP: #839602)
    - Preserve grid IDs during drag (LP: #1067812, LP: #1048855)
    - Save current display before doing snap preview (LP: #1068173)
    - Ignore inactive keybindings (LP: #1053280)
    - Handle <primary> in keyboard shortcuts (LP: #936840)
    - Make sure showdesktop plugin is loaded after unityshell (LP: #1067534)
    - Fix grid build failure (LP: #1067577)
    - Fix Jenkins test failures (LP: #1058577)
    - Don't allow duplicate static symbols when linking (LP: #1067964)
    - Make external templates C++0x compatible (LP: #1067598)
    - Make sure to initialize class members (LP: #1033877)
    - Don't duplicate templates in plugins (LP: #1066793, LP: #1066803,
      LP: #1066804, LP: #1066805, LP: #1066799, LP: #1066796,
      LP: #1066795, LP: #1066798, LP: #1067218, LP: #1067219)
    - Don't needlessly set gsettings keys (LP: #1064791)
    - Remove unused code (LP: #1037142, LP: #1067234)
    - Fix syntax highlighting for trunk xml files (LP: #1066823)
    - Fix documentation for building with python2 (LP: #1070211)

  [ Stephen M. Webb ]
  * Windows open below panel and launcher, grid does not work at all,
    window animations missing, and general plugin chaos if built on
    raring (cmake >= 2.8.10) (LP: #1085581)

  [ Iven Hsu ]
  * KDE Appmenu doesn't work with compiz decorators (LP: #1082265)
  * compiz 0.9.8.6 fails to build from source in KDE4-window-decorator
    with latest KDE 4.10 beta (LP: #1082152)
  * kde4-window-decorator crashes when starting up with oxygen theme
    (LP: #1050776)

  [ sampo555 ]
  * Grid: Window management - resize preview does not show when moving a
    window from the semi-maximised state to the maximised state in a
    single action (LP: #1071689)

  [ Timo Jyrinki ]
  * HTML5 video in Firefox continues to tear (LP: #1086337)

  [ MC Return ]
  * Workspacenames Plug-in: Wishlist: Default Appearance values not
    ideal (LP: #1075600)
  * Resizeinfo Plug-in: No possibility to change the color and
    transparency of the rounded background outline (LP: #1070297)
  * Resizeinfo Plug-in: Gradient color 2 and 3 settings are ignored and
    no background gradient is rendered (LP: #1070233)
  * Expo animations "Fade + Zoom" & "Vortex" result in a black screen
    (LP: #875311)
  * Workspacenames Plug-in: Wishlist: No default values...

Read more...

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released
Changed in compiz (Ubuntu Precise):
status: Confirmed → Fix Committed
Matthew Paul Thomas (mpt) wrote :

(Undoing vandalism by ~arturbryczek.)

Changed in compiz (Ubuntu Precise):
status: Fix Committed → Confirmed
Changed in compiz:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints

Remote bug watches

Bug watches keep track of this bug in other bug trackers.